from PIL import Image, ImageDraw
import os

input_folder = "."
output_folder = "output"
os.makedirs(output_folder, exist_ok=True)

for filename in os.listdir(input_folder):
    if filename.lower().endswith(('.png', '.jpg', '.jpeg')):
        # 打开图片
        img_path = os.path.join(input_folder, filename)
        img = Image.open(img_path).convert("RGBA")
        
        # 创建圆形蒙版
        mask = Image.new('L', img.size, 0)
        draw = ImageDraw.Draw(mask)
        draw.ellipse((0, 0, img.width, img.height), fill=255)
        
        # 应用蒙版并保存
        result = Image.new("RGBA", img.size)
        result.paste(img, (0, 0), mask)
        
        output_path = os.path.join(output_folder, filename)
        result.save(output_path, "PNG")

print("处理完成！共转换了{}张图片".format(len(os.listdir(input_folder))))
