import cv2
import os

# 设置输入和输出目录
input_dir = '.'      # 当前目录
output_dir = 'output'
os.makedirs(output_dir, exist_ok=True)  # 确保输出目录存在

# 定义裁剪参数（单位：像素）
x = 400       # 起始X坐标812
y = 0         # 起始Y坐标
width = 936   # 裁剪宽度1080/936
height = 1080 # 裁剪高度1246/1080

for filename in os.listdir(input_dir):
    if filename.lower().endswith('.png'):
        # 读取图片
        img_path = os.path.join(input_dir, filename)
        img = cv2.imread(img_path)
        
        if img is not None:
            # 检查图片尺寸是否满足要求
            h, w = img.shape[:2]
            if (x + width) > w or (y + height) > h:
                print(f"跳过 {filename}：图片尺寸 {w}x{h} 不足，无法裁剪")
                continue
            
            # 执行裁剪
            cropped = img[y:y+height, x:x+width]
            
            # 保存结果
            output_path = os.path.join(output_dir, filename)
            cv2.imwrite(output_path, cropped)
            print(f"已处理：{filename}")
        else:
            print(f"无法读取文件：{filename}")
